Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 985742 - failed make bkradd by Anonymous access denied
Summary: failed make bkradd by Anonymous access denied
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Beaker
Classification: Community
Component: command line
Version: 0.13
Hardware: x86_64
OS: Linux
high
unspecified vote
Target Milestone: ---
Assignee: beaker-dev-list
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-18 06:48 UTC by yanfu,wang
Modified: 2018-02-06 00:41 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-18 07:25:16 UTC


Attachments (Terms of Use)

Comment 1 Nick Coghlan 2013-07-18 07:03:54 UTC
What does "bkr whoami" show? If you already have a valid Kerberos ticket from "kinit", the bkr client shouldn't be prompting you for your Kerberos password again.

Comment 3 yanfu,wang 2013-07-18 07:24:27 UTC
(In reply to Nick Coghlan from comment #1)
> What does "bkr whoami" show? If you already have a valid Kerberos ticket
> from "kinit", the bkr client shouldn't be prompting you for your Kerberos
> password again.

It's a little weird.
When I check, I got below info:
$ klist
Ticket cache: DIR::/run/user/1000/krb5cc_137a1f16108109006add95a951d6681d/tktL2PPV2
Default principal: yanwang@REDHAT.COM

Valid starting     Expires            Service principal
07/18/13 14:45:40  07/19/13 00:45:40  krbtgt/REDHAT.COM@REDHAT.COM
	renew until 07/18/13 14:45:40
$ bkr whoami
{'username': 'yanwang', 'email_address': 'yanwang@redhat.com'}

And I run 'sudo make bkradd' failed.

I switch to root and kinit again, then re-run OK now. I'm not sure if it's relate to sudo, but it's OK now.

Thanks for your quick reply, I'm closing it now.


Note You need to log in before you can comment on or make changes to this bug.